escape.c File Reference
`#include "transcode_data.h"`

Go to the source code of this file.

## Macros

#define | from__to_amp_escape_offsets 0
#define | str1_amp makeSTR1(258)
#define | from__to_xml_text_escape_offsets 264
#define | str1_lt makeSTR1(522)
#define | str1_gt makeSTR1(527)
#define | from__to_xml_attr_content_escape_offsets 532
#define | str1_quot makeSTR1(790)
#define | escape_xml_attr_quote_offsets 797
#define | from__to_amp_escape_infos WORDINDEX2INFO(0)
#define | from__to_amp_escape WORDINDEX2INFO(2)
#define | from__to_xml_text_escape_infos WORDINDEX2INFO(4)
#define | from__to_xml_text_escape WORDINDEX2INFO(8)
#define | from__to_xml_attr_content_escape_infos WORDINDEX2INFO(10)
#define | from__to_xml_attr_content_escape WORDINDEX2INFO(15)
#define | escape_xml_attr_quote_infos WORDINDEX2INFO(17)
#define | escape_xml_attr_quote WORDINDEX2INFO(18)
#define | TRANSCODE_TABLE_INFO escape_byte_array, 1055, escape_word_array, 20, ((int)sizeof(unsigned int))
#define | END 0
#define | NORMAL 1

## Functions

static int | escape_xml_attr_quote_init (void *statep)
static ssize_t | fun_so_escape_xml_attr_quote (void *statep, const unsigned char *s, size_t l, unsigned char *o, size_t osize)
static ssize_t | escape_xml_attr_quote_finish (void *statep, unsigned char *o, size_t osize)
void | Init_escape (void)

## Variables

static const unsigned char | escape_byte_array [1055]
static const unsigned int | escape_word_array [20]
static const rb_transcoder | rb_from__to_amp_escape
static const rb_transcoder | rb_from__to_xml_text_escape
static const rb_transcoder | rb_from__to_xml_attr_content_escape
static const rb_transcoder | rb_escape_xml_attr_quote

## Macro Definition Documentation

#define END 0

Definition at line 171 of file escape.c.

Referenced by escape_xml_attr_quote_finish(), escape_xml_attr_quote_init(), fun_so_escape_xml_attr_quote(), and yyparse().

#define escape_xml_attr_quote WORDINDEX2INFO(18)

#define escape_xml_attr_quote_infos WORDINDEX2INFO(17)

#define escape_xml_attr_quote_offsets 797

#define from__to_amp_escape WORDINDEX2INFO(2)

#define from__to_amp_escape_infos WORDINDEX2INFO(0)

#define from__to_amp_escape_offsets 0

#define from__to_xml_attr_content_escape WORDINDEX2INFO(15)

#define from__to_xml_attr_content_escape_infos WORDINDEX2INFO(10)

#define from__to_xml_attr_content_escape_offsets 532

#define from__to_xml_text_escape WORDINDEX2INFO(8)

#define from__to_xml_text_escape_infos WORDINDEX2INFO(4)

#define from__to_xml_text_escape_offsets 264

#define NORMAL 1

Definition at line 172 of file escape.c.

Referenced by fun_so_escape_xml_attr_quote().

#define str1_amp makeSTR1(258)

#define str1_gt makeSTR1(527)

#define str1_lt makeSTR1(522)

#define str1_quot makeSTR1(790)

#define TRANSCODE_TABLE_INFO escape_byte_array, 1055, escape_word_array, 20, ((int)sizeof(unsigned int))

Definition at line 132 of file escape.c.

## Function Documentation

static ssize_t escape_xml_attr_quote_finish | ( | void * | statep,
|  | unsigned char * | o,
|  | size_t | osize
| ) |  |

static

Definition at line 196 of file escape.c.

References END.

static int escape_xml_attr_quote_init | ( | void * | statep | ) |

static

Definition at line 175 of file escape.c.

References END.

static ssize_t fun_so_escape_xml_attr_quote | ( | void * | statep,
|  | const unsigned char * | s,
|  | size_t | l,
|  | unsigned char * | o,
|  | size_t | osize
| ) |  |

static

Definition at line 183 of file escape.c.

References END, and NORMAL.

void Init_escape | ( | void |  | ) |

Definition at line 225 of file escape.c.

References rb_escape_xml_attr_quote, rb_from__to_amp_escape, rb_from__to_xml_attr_content_escape, rb_from__to_xml_text_escape, and rb_register_transcoder().

## Variable Documentation

const unsigned char escape_byte_array[1055]

static

Definition at line 10 of file escape.c.

const unsigned int escape_word_array[20]

static

Definition at line 101 of file escape.c.

const rb_transcoder rb_escape_xml_attr_quote

static

Initial value:
= {
"", "xml_attr_quote", escape_xml_attr_quote,
TRANSCODE_TABLE_INFO,
1,
1,
7,
asciicompat_encoder,
1, escape_xml_attr_quote_init, escape_xml_attr_quote_init,
NULL, NULL, NULL, fun_so_escape_xml_attr_quote,
escape_xml_attr_quote_finish
}

Definition at line 212 of file escape.c.

Referenced by Init_escape().

const rb_transcoder rb_from__to_amp_escape

static

Initial value:
= {
"", "amp_escape", from__to_amp_escape,
TRANSCODE_TABLE_INFO,
1,
1,
5,
asciicompat_converter,
0, NULL, NULL,
NULL, NULL, NULL, NULL,
NULL, NULL, NULL
}

Definition at line 134 of file escape.c.

Referenced by Init_escape().

const rb_transcoder rb_from__to_xml_attr_content_escape

static

Initial value:
= {
"", "xml_attr_content_escape", from__to_xml_attr_content_escape,
TRANSCODE_TABLE_INFO,
1,
1,
6,
asciicompat_converter,
0, NULL, NULL,
NULL, NULL, NULL, NULL,
NULL, NULL, NULL
}

Definition at line 158 of file escape.c.

Referenced by Init_escape().

const rb_transcoder rb_from__to_xml_text_escape

static

Initial value:
= {
"", "xml_text_escape", from__to_xml_text_escape,
TRANSCODE_TABLE_INFO,
1,
1,
5,
asciicompat_converter,
0, NULL, NULL,
NULL, NULL, NULL, NULL,
NULL, NULL, NULL
}

Definition at line 146 of file escape.c.

Referenced by Init_escape().